%define python_sitelib %(%{__python} -c 'from distutils import sysconfig; print sysconfig.get_python_lib()')

Name:		wammu
Version:	0.38
Release:	1%{?dist}
Summary:	Mobile Phone Manager - Gammu GUI

Group:		Applications/Communications
License:	GPLv2+
URL:		http://wammu.eu/
Source0:       http://sourceforge.net/projects/gammu/files/%{name}/%{version}/%{name}-%{version}.tar.bz2

BuildArch:	noarch
BuildRequires:	python-devel, python-gammu, gettext
BuildRequires:	wxPython-devel, desktop-file-utils
Requires:	gammu, python-gammu, wxPython, dbus-x11

%description
Wammu is mobile phone manager running on Linux,
Windows and possibly other platforms,where Gammu and wxPython works.
The communication is made by Gammu library. Currently supported features:

* complete support (can read/edit/delete/copy) for contacts, todo, calendar
* can read/create/save/send/backup smses
* sending files to phone (OBEX and Sony Ericsson phones only)
* sms composer for multi part smses 
 (currently only text and predefined bitmap/sound can be edited)
* display message including pictures and ringtones playback
* support for backup and import in various formats (vCard, iCalendar,...)
* export messages to mail (IMAP4, maildir and mailbox storages are supported)
* searching for phone
* translated into several languages
* rated as best on many software servers


%prep
%setup -q


%build
CFLAGS="$RPM_OPT_FLAGS" \
python setup.py build


%install
rm -rf $RPM_BUILD_ROOT
python setup.py install \
	--skip-build  --root $RPM_BUILD_ROOT
# --record=INSTALLED_FILES

desktop-file-install --vendor ""				\
		--dir $RPM_BUILD_ROOT%{_datadir}/applications	\
		--mode 0644					\
		--remove-category=Application			\
		$RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING README.* PKG-INFO ChangeLog
%{_bindir}/%{name}
%{_bindir}/%{name}-configure
%{_datadir}/Wammu
%{_datadir}/pixmaps/*
%{_datadir}/appdata/wammu.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man1/*.1.gz
%lang(CZ) %{_mandir}/cs/man1/*.1.gz
%lang(DE) %{_mandir}/de/man1/*.1.gz
%lang(ES) %{_mandir}/es/man1/*.1.gz
%lang(FR) %{_mandir}/fr/man1/*.1.gz
%lang(IT) %{_mandir}/it/man1/*.1.gz
%lang(NL) %{_mandir}/nl/man1/*.1.gz
%lang(BR) %{_mandir}/pt_BR/man1/*.1.gz
%lang(RU) %{_mandir}/ru/man1/*.1.gz
%lang(SK) %{_mandir}/sk/man1/*.1.gz
%lang(DK) %{_mandir}/da/man1/*.1.gz
%lang(GB) %{_mandir}/en_GB/man1/*.1.gz
%lang(ET) %{_mandir}/et/man1/*.1.gz
%lang(HU) %{_mandir}/hu/man1/*.1.gz
%lang(ID) %{_mandir}/id/man1/*.1.gz
%lang(TR) %{_mandir}/tr/man1/*.1.gz
%lang(UK) %{_mandir}/uk/man1/*.1.gz
%{python_sitelib}/Wammu
%{python_sitelib}/%{name}-%{version}-py?.?.egg-info


%changelog
* Mon Jan 05 2015 Sérgio Basto <sergio@serjux.com> - 0.38-1
- New upstream release.

* Mon Nov 17 2014 Sérgio Basto <sergio@serjux.com> - 0.37-1
- New upstream release.

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.36-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Sep 01 2013 Sérgio Basto <sergio@serjux.com> - 0.36-1
- Thu Sep 29 2011 Karel Volný <kvolny@redhat.com>
  - Update release.
  - Package localized manpages.

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.30.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.30.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.30.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.30.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.30.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 0.30.1-3
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.30.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Apr 29 2009 Xavier Lamien <lxtnow[at]gmail.com> - 0.30.1-1
- Update release.

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.29-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.29-3
- Fix locations for Python 2.6

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.29-2
- Rebuild for Python 2.6

* Sun Oct 12 2008 Xavier Lamien <lxtnow[at]gmail.com> - 0.29-1
- Update release.

* Mon Aug 25 2008 Xavier Lamien <lxtnow[at]gmail.com> - 0.28-1
- Update release.

* Fri Apr 04 2008 Xavier Lamien <lxtnow[at]gmail.com> - 0.26-2
- Added missing files.

* Tue Mar 04 2008 Xavier Lamien <lxtnow[at]gmail.com> - 0.26-1
- Updated Release.

* Thu Jan 03 2008 Xavier Lamien < lxtnow[at]gmail.com > - 0.25-1
- Updated Release.

* Sun Oct 14 2007 Xavier Lamien < lxtnow[at]gmail.com > - 0.23-1
- Updated Release.

* Tue Jul 03 2007 Xavier Lamien < lxtnow[at]gmail.com > - 0.19-3
- Added additional Requires.

* Wed Jun 06 2007 Xavier Lamien < lxtnow[at]gmail.com > - 0.19-2
- Fixed mixed-use-of-spaces warning.

* Tue May 08 2007 Xavier Lamien < lxtnow[at]gmail.com > - 0.19-1
- Initial RPM Release.
